import React from "react"
import { AppData } from "../../context/data"
import { AppContext } from "../../context/app"

export default function DataPolling() {
    const [appData] = React.useContext(AppData)
    const [appCtx, dispatchAppData] = React.useContext(AppContext)

    return <div className={DataPolling.name}>
        polling
        <button onClick={() => dispatchAppData({type: "togglePolling"})}>
            { appCtx.disablePolling === true ? "off" : "on" }
        </button>
        { appData.fetching }
        </div>
}
